## kdegraphics-thumbnailers 17.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(kdegraphics-thumbnailers)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.2.0")

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMOptionalAddSubdirectory)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui)
find_package(KF5 REQUIRED COMPONENTS KIO)

add_definitions(${QT_DEFINITIONS} -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

find_package(KF5KExiv2)
set_package_properties("KF5KExiv2"    PROPERTIES
                       DESCRIPTION "A library for reading and writing image metadata"
                       URL         "www.kde.org"
                       TYPE        OPTIONAL
                       PURPOSE     "Required to build the RAW thumbnailer"
)

find_package(KF5KDcraw)
set_package_properties("KF5KDcraw"    PROPERTIES
                       DESCRIPTION "A library for accessing raw files"
                       URL         "www.kde.org"
                       TYPE        OPTIONAL
                       PURPOSE     "Required to build the RAW thumbnailer"
)


ecm_optional_add_subdirectory(ps)

if(KF5KExiv2_FOUND AND KF5KDcraw_FOUND)
ecm_optional_add_subdirectory(raw)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdegraphics-thumbnailers (4:17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:31:30 +0800

kdegraphics-thumbnailers (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Remove the breaks/replaces with kde-l10n, since there are no translations
    shipped in this source.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 14:48:35 +0100

kdegraphics-thumbnailers (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:19 +0200

kdegraphics-thumbnailers (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:59:44 +0000

kdegraphics-thumbnailers (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:34:14 +0000

kdegraphics-thumbnailers (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:20:12 +0000

kdegraphics-thumbnailers (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:19 +0000

kdegraphics-thumbnailers (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:16:26 +0000

kdegraphics-thumbnailers (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:41 +0000

kdegraphics-thumbnailers (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:47 +0000

kdegraphics-thumbnailers (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:57:50 +0000

kdegraphics-thumbnailers (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:16:58 +0000

kdegraphics-thumbnailers (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:25:40 +0000

kdegraphics-thumbnailers (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:04 +0000

kdegraphics-thumbnailers (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:21 +0000

kdegraphics-thumbnailers (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:17 +0000

kdegraphics-thumbnailers (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:17 +0000

kdegraphics-thumbnailers (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:38:38 +0000

kdegraphics-thumbnailers (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Jul 2016 12:16:26 +0000

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               libkf5kdcraw-dev,
               libkf5kexiv2-dev,
               libkf5kio-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdegraphics-thumbnailers.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdegraphics-thumbnailers.git

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Replaces: kdegraphics-strigi-plugins (<< 4:4.6.90)
Breaks: kdegraphics-strigi-plugins (<< 4:4.6.90)
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 17.12.3

=== debian/changelog ===
kdegraphics-thumbnailers (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:25:49 +0000

kdegraphics-thumbnailers (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:04 +0000

kdegraphics-thumbnailers (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:26 +0000

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5kdcraw-dev (>= 17.12.3~),
               libkf5kexiv2-dev (>= 17.12.3~),
               libkf5kio-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-strigi-plugins (<< 4:4.6.90), ${kde-l10n:all}
Breaks: kdegraphics-strigi-plugins (<< 4:4.6.90), ${kde-l10n:all}
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdegraphics-thumbnailers-([\d.]+).tar.xz

## kdegraphics-thumbnailers 18.04.3

=== debian/changelog ===
kdegraphics-thumbnailers (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:16:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5kdcraw-dev (>= 17.12.3~),
-               libkf5kexiv2-dev (>= 17.12.3~),
+               libkf5kdcraw-dev (>= 18.04.3~),
+               libkf5kexiv2-dev (>= 18.04.3~),
                libkf5kio-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 18.12.3

=== debian/changelog ===
kdegraphics-thumbnailers (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:27:39 +0000

kdegraphics-thumbnailers (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:15:02 +0000

kdegraphics-thumbnailers (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:00 +0000

kdegraphics-thumbnailers (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:48:34 +0000

kdegraphics-thumbnailers (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: Use l10n-packages.mk and l10npkgs_firstversion_ok to generate
      l10n Breaks/Replaces.
    - d/control: l10n Breaks/Replaces substvar.
    - Kubuntu Vcs fields.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 14:38:41 +0000

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5kdcraw-dev (>= 18.12.3~),
               libkf5kexiv2-dev (>= 18.12.3~),
               libkf5kio-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Replaces: kdegraphics-strigi-plugins (<< 4:4.6.90), ${kde-l10n:all}
Breaks: kdegraphics-strigi-plugins (<< 4:4.6.90), ${kde-l10n:all}
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 19.04.3

=== debian/changelog ===
kdegraphics-thumbnailers (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:13:19 +0100

kdegraphics-thumbnailers (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:04:05 +0100

kdegraphics-thumbnailers (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:57:17 +0100

kdegraphics-thumbnailers (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New build depend on libkf5archive-dev.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:42:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5kdcraw-dev (>= 18.12.3~),
-               libkf5kexiv2-dev (>= 18.12.3~),
+               libkf5archive-dev (>= 5.31.0~),
+               libkf5kdcraw-dev (>= 19.04.3~),
+               libkf5kexiv2-dev (>= 19.04.3~),
                libkf5kio-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),

## kdegraphics-thumbnailers 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,26 @@
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.0)
 project(kdegraphics-thumbnailers)
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.2.0")
 
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(ECMOptionalAddSubdirectory)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui)
 find_package(KF5 REQUIRED COMPONENTS KIO)
+find_package(KF5 REQUIRED COMPONENTS Archive)
 
-add_definitions(${QT_DEFINITIONS} -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+add_definitions(-DQT_USE_QSTRINGBUILDER)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+endif()
 
 find_package(KF5KExiv2)
 set_package_properties("KF5KExiv2"    PROPERTIES
@@ -41,4 +45,9 @@
 ecm_optional_add_subdirectory(raw)
 endif()
 
+ecm_optional_add_subdirectory(blend)
+
+install(FILES org.kde.kdegraphics-thumbnailers.metainfo.xml
+        DESTINATION ${KDE_INSTALL_METAINFODIR})
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdegraphics-thumbnailers (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:08:23 +0000

kdegraphics-thumbnailers (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:19:06 +0000

kdegraphics-thumbnailers (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:53:09 +0000

kdegraphics-thumbnailers (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:46:46 +0000

kdegraphics-thumbnailers (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:31:27 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libkf5archive-dev (>= 5.31.0~),
-               libkf5kdcraw-dev (>= 19.04.3~),
-               libkf5kexiv2-dev (>= 19.04.3~),
+               libkf5kdcraw-dev (>= 19.12.3~),
+               libkf5kexiv2-dev (>= 19.12.3~),
                libkf5kio-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),

## kdegraphics-thumbnailers 20.08.1

=== debian/changelog ===
kdegraphics-thumbnailers (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:07 +0100

kdegraphics-thumbnailers (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:45:48 +0100

kdegraphics-thumbnailers (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - add libkf5archive-dev
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 17:10:45 +0200

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.0.0~),
               libkf5archive-dev,
               libkf5kdcraw-dev (>= 20.08.1~),
               libkf5kexiv2-dev (>= 20.08.1~),
               libkf5kio-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers.git

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Replaces: kdegraphics-strigi-plugins (<< 4:4.6.90)
Breaks: kdegraphics-strigi-plugins (<< 4:4.6.90)
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 20.12.0

=== blend/CMakeLists.txt ===
project(blenderthumbnail)

#sources
set(blenderthumbnail_SRCS blendercreator.cpp)
add_library(blenderthumbnail MODULE ${blenderthumbnail_SRCS})

## includes and linking
target_link_libraries(blenderthumbnail Qt5::Core KF5::KIOWidgets KF5::Archive)

## install the plugin
install(TARGETS blenderthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES blenderthumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
kdegraphics-thumbnailers (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh copyright information.
  * Build with hardening=+all build hardening flag.
  * Update project homepage.
  * Bump debhelper compatibility level to 13.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Remove Eshat Cakar and Maximiliano Curia from the uploaders, thanks for
    your work on the package!
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Dec 2020 15:40:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.0.0~),
                libkf5archive-dev,
-               libkf5kdcraw-dev (>= 20.08.1~),
-               libkf5kexiv2-dev (>= 20.08.1~),
+               libkf5kdcraw-dev,
+               libkf5kexiv2-dev,
                libkf5kio-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers.git
+Rules-Requires-Root: no
 
 Package: kdegraphics-thumbnailers
 Architecture: any

## kdegraphics-thumbnailers 20.12.3

=== debian/changelog ===
kdegraphics-thumbnailers (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:38 +0000

kdegraphics-thumbnailers (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:52:52 +0000

kdegraphics-thumbnailers (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:09:25 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.0.0~),
                libkf5archive-dev,
-               libkf5kdcraw-dev,
-               libkf5kexiv2-dev,
+               libkf5kdcraw-dev (>= 20.12.3~),
+               libkf5kexiv2-dev (>= 20.12.3~),
                libkf5kio-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),

## kdegraphics-thumbnailers 21.08.1

=== debian/changelog ===
kdegraphics-thumbnailers (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:38 +0100

kdegraphics-thumbnailers (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:01:07 +0100

kdegraphics-thumbnailers (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:54:09 +0100

kdegraphics-thumbnailers (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:32:55 +0100

kdegraphics-thumbnailers (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:42:02 +0100

kdegraphics-thumbnailers (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:34 +0100

kdegraphics-thumbnailers (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:12 +0100

kdegraphics-thumbnailers (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:33:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.0.0~),
                libkf5archive-dev,
-               libkf5kdcraw-dev (>= 20.12.3~),
-               libkf5kexiv2-dev (>= 20.12.3~),
+               libkf5kdcraw-dev (>= 21.08.1~),
+               libkf5kexiv2-dev (>= 21.08.1~),
                libkf5kio-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),

## kdegraphics-thumbnailers 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 project(kdegraphics-thumbnailers)
 
-set(QT_MIN_VERSION "5.2.0")
-
-find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.83.0")
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(ECMOptionalAddSubdirectory)
@@ -13,14 +13,11 @@
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui)
-find_package(KF5 REQUIRED COMPONENTS KIO)
-find_package(KF5 REQUIRED COMPONENTS Archive)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS KIO)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive)
 
 add_definitions(-DQT_USE_QSTRINGBUILDER)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
+
 
 find_package(KF5KExiv2)
 set_package_properties("KF5KExiv2"    PROPERTIES

=== ps/CMakeLists.txt ===
add_library(gsthumbnail MODULE)

target_sources(gsthumbnail PRIVATE
    gscreator.cpp
    dscparse.cpp
    dscparse_adapter.cpp
)

target_link_libraries(gsthumbnail
    KF5::KIOWidgets
    Qt5::Gui
)

install(TARGETS gsthumbnail  DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install(FILES gsthumbnail.desktop  DESTINATION  ${SERVICES_INSTALL_DIR})

=== raw/CMakeLists.txt ===
add_library(rawthumbnail MODULE)

#sources
target_sources(rawthumbnail PRIVATE
    rawcreator.cpp
)

## includes and linking
target_link_libraries(rawthumbnail
    KF5::KIOWidgets
    KF5::KDcraw
    KF5::KExiv2
    Qt5::Gui
)

## install the plugin
install(TARGETS rawthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES rawthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kdegraphics-thumbnailers (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:40:34 +0100

kdegraphics-thumbnailers (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:09:26 +0900

kdegraphics-thumbnailers (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:04:36 +0900

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.0.0~),
-               libkf5archive-dev,
-               libkf5kdcraw-dev (>= 21.08.1~),
-               libkf5kexiv2-dev (>= 21.08.1~),
-               libkf5kio-dev,
+               extra-cmake-modules (>= 5.83.0~),
+               libkf5archive-dev (>= 5.83.0~),
+               libkf5kdcraw-dev,
+               libkf5kexiv2-dev,
+               libkf5kio-dev (>= 5.83.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.0~),
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers.git

## kdegraphics-thumbnailers 22.08.1

=== debian/changelog ===
kdegraphics-thumbnailers (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:38:47 +0100

kdegraphics-thumbnailers (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:50 +0100

kdegraphics-thumbnailers (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:15 +0100

kdegraphics-thumbnailers (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:15 +0100

kdegraphics-thumbnailers (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:57:45 +0100

kdegraphics-thumbnailers (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * New build dep on libqmobipocket-dev
  * Breaks/Replaces kdegraphics-mobipocket (<< 4:22.03.90~), as the
    mobipocket plugin has moved to this package.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:46:45 +0100

kdegraphics-thumbnailers (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:19 +0000

kdegraphics-thumbnailers (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:15:48 +0000

kdegraphics-thumbnailers (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:38 +0000

kdegraphics-thumbnailers (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:43 +0000

kdegraphics-thumbnailers (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:04:57 +0000

kdegraphics-thumbnailers (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:15:59 +0000

kdegraphics-thumbnailers (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:25:11 +0000

kdegraphics-thumbnailers (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:56 +0000

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.0.0~),
               libkf5archive-dev,
               libkf5kdcraw-dev (>= 22.08.1~),
               libkf5kexiv2-dev (>= 22.08.1~),
               libkf5kio-dev,
               libqmobipocket-dev (>= 4:22.08.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Replaces: kdegraphics-strigi-plugins (<< 4:4.6.90), kdegraphics-mobipocket (<< 4:22.03.90~)
Breaks: kdegraphics-strigi-plugins (<< 4:4.6.90), kdegraphics-mobipocket (<< 4:22.03.90~)
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 22.12.0

=== debian/changelog ===
kdegraphics-thumbnailers (4:22.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Use correct Breaks/Replaces versions against kdegraphics-mobipocket.
    (Closes: #1025947)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 12 Dec 2022 13:04:40 +0100

kdegraphics-thumbnailers (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Add Breaks / Replaces against kdegraphics-mobipocket since the
    thumbnailer was moved to this project.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:27 +0100

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5kdcraw-dev,
               libkf5kexiv2-dev,
               libkf5kio-dev (>= 5.90.0~),
               libqmobipocket-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers.git
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Replaces: kdegraphics-mobipocket (<< 4:22.12.0-1)
Breaks: kdegraphics-mobipocket (<< 4:22.12.0-1)
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 22.12.1

=== debian/changelog ===
kdegraphics-thumbnailers (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:00:33 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libqmobipocket-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers.git

## kdegraphics-thumbnailers 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 project(kdegraphics-thumbnailers)
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.83.0")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.90.0")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -12,12 +15,12 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS KIO)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive)
-
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 
+option(DISABLE_MOBIPOCKET "Disable the mobipocket thumbnailer." OFF)
 
 find_package(KF5KExiv2)
 set_package_properties("KF5KExiv2"    PROPERTIES
@@ -35,6 +38,22 @@
                        PURPOSE     "Required to build the RAW thumbnailer"
 )
 
+if (DISABLE_MOBIPOCKET)
+    set(MOBIPOCKET_REQUIRED_TYPE "OPTIONAL")
+    set(DISABLE_MOBIPOCKET_TEXT "")
+else()
+    set(MOBIPOCKET_REQUIRED_TYPE "REQUIRED")
+    set(DISABLE_MOBIPOCKET_TEXT "Disable with DISABLE_MOBIPOCKET")
+endif()
+
+find_package(QMobipocket)
+set_package_properties("QMobipocket"    PROPERTIES
+                       DESCRIPTION "A library for accessing mobipocket files"
+                       URL         "www.kde.org"
+                       TYPE        ${MOBIPOCKET_REQUIRED_TYPE}
+                       PURPOSE     "Required to build the mobipocket thumbnailer. ${DISABLE_MOBIPOCKET_TEXT}"
+)
+
 
 ecm_optional_add_subdirectory(ps)
 
@@ -44,6 +63,10 @@
 
 ecm_optional_add_subdirectory(blend)
 
+if(QMobipocket_FOUND)
+ecm_optional_add_subdirectory(mobipocket)
+endif()
+
 install(FILES org.kde.kdegraphics-thumbnailers.metainfo.xml
         DESTINATION ${KDE_INSTALL_METAINFODIR})

=== mobipocket/CMakeLists.txt ===
include_directories(
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${PROJECT_SOURCE_DIR}/lib
                   )

########### next target ###############

set(mobithumbnail_SRCS
  mobithumbnail.cpp
)

find_package(KF5 REQUIRED
    KIO
    )

add_library(mobithumbnail MODULE ${mobithumbnail_SRCS})
target_link_libraries(mobithumbnail KF5::KIOCore KF5::KIOWidgets Qt::Gui qmobipocket)
install(TARGETS mobithumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install( FILES mobithumbnail.desktop  DESTINATION  ${KDE_INSTALL_KSERVICESDIR} )

=== ps/CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 target_link_libraries(gsthumbnail
     KF5::KIOWidgets
-    Qt5::Gui
+    Qt::Gui
 )
 
 install(TARGETS gsthumbnail  DESTINATION ${KDE_INSTALL_PLUGINDIR} )
-install(FILES gsthumbnail.desktop  DESTINATION  ${SERVICES_INSTALL_DIR})
+install(FILES gsthumbnail.desktop  DESTINATION  ${KDE_INSTALL_KSERVICESDIR})

=== debian/changelog ===
kdegraphics-thumbnailers (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:14 +0100

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,10 @@
 
 Package: kdegraphics-thumbnailers
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ghostscript
-Replaces: kdegraphics-mobipocket (<< 4:22.12.0-1)
-Breaks: kdegraphics-mobipocket (<< 4:22.12.0-1)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: ghostscript,
+Replaces: kdegraphics-mobipocket (<< 4:22.12.0-1),
+Breaks: kdegraphics-mobipocket (<< 4:22.12.0-1),
 Description: graphics file format thumbnailers for KDE SC
  These plugins allow KDE software to create thumbnails for several
  advanced graphic file formats (PS, RAW).

## kdegraphics-thumbnailers 23.08.0

=== debian/changelog ===
kdegraphics-thumbnailers (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:52:52 +0100

kdegraphics-thumbnailers (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:45 +0100

kdegraphics-thumbnailers (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:45:24 +0100

kdegraphics-thumbnailers (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:56:00 +0100

kdegraphics-thumbnailers (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:36:53 +0000

kdegraphics-thumbnailers (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:14:55 -0600

kdegraphics-thumbnailers (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:13:49 +0000

kdegraphics-thumbnailers (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build depend on current Gear stack versions.
    - Breaks/Replaces version to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 07:55:41 +0000

kdegraphics-thumbnailers (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:07:59 +0000

kdegraphics-thumbnailers (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:04:19 +0000

kdegraphics-thumbnailers (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:49:44 +0000

kdegraphics-thumbnailers (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:07:51 +0000

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5kdcraw-dev (>= 23.08.0~),
               libkf5kexiv2-dev (>= 23.08.0~),
               libkf5kio-dev (>= 5.90.0~),
               libqmobipocket-dev (>= 4:23.08.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Replaces: kdegraphics-mobipocket (<< 4:22.03.90~)
Breaks: kdegraphics-mobipocket (<< 4:22.03.90~)
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 23.08.1

=== debian/changelog ===
kdegraphics-thumbnailers (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:57:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.90.0~),
                libkf5archive-dev (>= 5.90.0~),
-               libkf5kdcraw-dev (>= 23.08.0~),
-               libkf5kexiv2-dev (>= 23.08.0~),
+               libkf5kdcraw-dev (>= 23.08.1~),
+               libkf5kexiv2-dev (>= 23.08.1~),
                libkf5kio-dev (>= 5.90.0~),
-               libqmobipocket-dev (>= 4:23.08.0~),
+               libqmobipocket-dev (>= 4:23.08.1~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1

## kdegraphics-thumbnailers 23.08.4

=== debian/changelog ===
kdegraphics-thumbnailers (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:08 +0000

kdegraphics-thumbnailers (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:38 +0000

kdegraphics-thumbnailers (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:29:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.90.0~),
                libkf5archive-dev (>= 5.90.0~),
-               libkf5kdcraw-dev (>= 23.08.1~),
-               libkf5kexiv2-dev (>= 23.08.1~),
+               libkf5kdcraw-dev (>= 23.08.4~),
+               libkf5kexiv2-dev (>= 23.08.4~),
                libkf5kio-dev (>= 5.90.0~),
-               libqmobipocket-dev (>= 4:23.08.1~),
+               libqmobipocket-dev (>= 4:23.08.4~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
